
#ifndef QT5UDEV_EXPORT_H
#define QT5UDEV_EXPORT_H

#ifdef QT5UDEV_STATIC_DEFINE
#  define QT5UDEV_EXPORT
#  define QT5UDEV_NO_EXPORT
#else
#  ifndef QT5UDEV_EXPORT
#    ifdef LIRI_BUILD_QT5UDEV_LIB
        /* We are building this library */
#      define QT5UDEV_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define QT5UDEV_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef QT5UDEV_NO_EXPORT
#    define QT5UDEV_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef QT5UDEV_DECL_DEPRECATED
#  define QT5UDEV_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef QT5UDEV_DECL_DEPRECATED_EXPORT
#  define QT5UDEV_DECL_DEPRECATED_EXPORT QT5UDEV_EXPORT QT5UDEV_DECL_DEPRECATED
#endif

#ifndef QT5UDEV_DECL_DEPRECATED_NO_EXPORT
#  define QT5UDEV_DECL_DEPRECATED_NO_EXPORT QT5UDEV_NO_EXPORT QT5UDEV_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef QT5UDEV_NO_DEPRECATED
#    define QT5UDEV_NO_DEPRECATED
#  endif
#endif

#define QT5UDEV_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

#if defined(QT5UDEV_NO_DEPRECATED)
#  undef QT5UDEV_DEPRECATED
#  define QT5UDEV_DEPRECATED_EXPORT QT5UDEV_EXPORT
#  define QT5UDEV_DEPRECATED_NO_EXPORT QT5UDEV_NO_EXPORT
#elif defined(QT5UDEV_NO_DEPRECATED_WARNINGS)
#  define QT5UDEV_DEPRECATED
#  define QT5UDEV_DEPRECATED_EXPORT QT5UDEV_EXPORT
#  define QT5UDEV_DEPRECATED_NO_EXPORT QT5UDEV_NO_EXPORT
#else
#  define QT5UDEV_DEPRECATED QT5UDEV_DECL_DEPRECATED
#  define QT5UDEV_DEPRECATED_EXPORT QT5UDEV_DECL_DEPRECATED_EXPORT
#  define QT5UDEV_DEPRECATED_NO_EXPORT QT5UDEV_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define QT5UDEV_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define QT5UDEV_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef QT5UDEV_NO_DEPRECATED
#  define QT5UDEV_DISABLE_DEPRECATED_BEFORE_AND_AT 0x10100
#endif
#ifdef QT5UDEV_NO_DEPRECATED_WARNINGS
#  define QT5UDEV_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef QT5UDEV_DEPRECATED_WARNINGS_SINCE
#  ifdef QT5UDEV_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define QT5UDEV_DEPRECATED_WARNINGS_SINCE QT5UDEV_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define QT5UDEV_DEPRECATED_WARNINGS_SINCE 0x10100
#  endif
#endif

#ifndef QT5UDEV_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define QT5UDEV_DISABLE_DEPRECATED_BEFORE_AND_AT 0x10000
#endif

#ifdef QT5UDEV_DEPRECATED
#  define QT5UDEV_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > QT5UDEV_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define QT5UDEV_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* QT5UDEV_EXPORT_H */
